# MUK FIELD BUILDER

## Usage

```html

<lib-muk-field-builder
        [inputSpecification]="input"
></lib-muk-field-builder>
```

```typescript
import {Component} from '@angular/core';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    input: IFormControl<Filed> = {
        controller: {
            name: "category",
            controller: this._fb.control(payload?.category, [
                Validators.required,
            ]),
        },
        containerStyle: "mb-3",
        placeholder: "selectGender",
        type: formControlType.select,
        controllerSpecification: <IDropDownInput>{
            options: [
                {
                    id: 1,
                    name: "test"
                }
            ],
            key: "id",
            value: "name",
            change: () => {
            },
        },
        isAutofocus: false,
        isAutocomplete: false,
        columnSize: 12,
        translateLangType: null,
        controllerStyle: null,
    };
}
```

### Properties

| Name               | Type                | Description         |
|--------------------|---------------------|---------------------|
| inputSpecification | IFormControl<Filed> | Input specification |
